clear

global path "/Users/congliu/Dropbox/留学生项目文件/ros_replication_package"

log close
log using $path/log.log, replace

use data_prefecture.dta,clear

global Geo distcoast mainriver_dist coal_dist iron_dist copper_dist Shape_Area 
global Agr cot_mean tea_mean soy_mean whe_mean yam_mean
global Gov d_pc pc_dist courierdist railroad_dist general_level important_level mostimportant_level conflict
global West tp_dist concession 
global Ini textilecenter lmilitary 
global Hc lstud sci_mq lprotestantism 


********************************** CROSS-SECTION *******************************
keep if year==1933

** Table 1 **
logout, save( "descript.xls") excel replace: tabstat job_total jg_total productvalue ///
machinenum KLratio quota $Geo $Agr d_pc pc_dist courierdist railroad_dist simple_level ///
general_level important_level mostimportant_level conflict textilecenter militaryfirm_inv ///
total_stud sci_mq protestantism sci_society, stats(n mean sd min max) c(s)

log using $path/log.log, append

** Table 2 **
reghdfe lproductvalue ljob_total , absorb(i.provid) vce(cluster prefid)
outreg2 using cross.xls, nocons adjr2 dec(3) addtext(Prov FE, Y,Controls, N) replace

reghdfe lproductvalue ljob_total $Geo $Agr , absorb(i.provid) vce(cluster prefid)
outreg2 using cross.xls, nocons adjr2 dec(3) addtext(Prov FE, Y,Controls, Y) append

reghdfe lproductvalue ljob_total $Geo $Agr $Gov , absorb(i.provid) vce(cluster prefid)
outreg2 using cross.xls, nocons adjr2 dec(3) addtext(Prov FE, Y,Controls, Y) append

reghdfe lproductvalue ljob_total $Geo $Agr $Gov $West $Ini , absorb(i.provid) vce(cluster prefid)
outreg2 using cross.xls, nocons adjr2 dec(3) addtext(Prov FE, Y,Controls, Y) append

reghdfe lproductvalue ljob_total $Geo $Agr $Gov $West $Ini $Hc , absorb(i.provid) vce(cluster prefid)
outreg2 using cross.xls, nocons adjr2 dec(3) addtext(Prov FE, Y,Controls, Y) append

** Table 3 **
* IHS
gen y_ihs=asinh(productvalue)
reghdfe y_ihs ljob_total $Geo $Agr $Gov $West $Ini $Hc , absorb( i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) replace
* Poisson
poisson productvalue ljob_total $Geo $Agr $Gov $West $Ini $Hc i.provid, vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) dec(3) addtext(Prov FE,Y,Controls, Y) append
* 去掉江苏
reghdfe lproductvalue ljob_total $Geo $Agr $Gov $West $Ini $Hc if lev1_ch!="江苏", absorb( i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
* ROS>0
reghdfe lproductvalue ljob_total $Geo $Agr $Gov $West $Ini $Hc if ljob_total!=0, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
* EXTENSIVE AND INTENSIVE MARGINS
reghdfe lproductvalue d_job1 $Geo $Agr $Gov $West $Ini $Hc, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(d_job*) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
reghdfe lproductvalue d_job_25 d_job_50 d_job_75 d_job_100 $Geo $Agr $Gov $West $Ini $Hc, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(d_job*) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
* 籍贯地
reghdfe lproductvalue ljg_total $Geo $Agr $Gov $West $Ini $Hc, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljg_total) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
* 其他因变量
reghdfe lmachinenum ljob_total $Geo $Agr $Gov $West $Ini $Hc, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) adjr2 dec(3) addtext(Prov FE, Y ,Controls, Y ) append
reghdfe KLratio ljob_total $Geo $Agr $Gov $West $Ini $Hc, absorb(i.provid) vce(cluster prefid)
outreg2 using crossrobust.xls, nocons keep(ljob_total) adjr2 dec(3) addtext(Prov FE, Y ,Controls, Y )append

** Table 4 **
ivreg2 lproductvalue (ljob_total = quota) i.provid $Geo $Agr $Gov $West $Ini $Hc , cluster (prefid) first
outreg2 using iv_cross.xls, nocons keep(ljob* ) adjr2 dec(3) addtext(Prov FE,Y ,Controls, Y )replace

reg ljob_total quota   i.provid $Geo $Agr $Gov $West $Ini $Hc , vce(cluster prefid)
outreg2 using iv_cross.xls, nocons keep(quota ) adjr2 dec(3) addtext(Prov FE, Y ,Controls, Y )append

reg lproductvalue quota   i.provid $Geo $Agr $Gov $West $Ini $Hc , vce(cluster prefid)
outreg2 using iv_cross.xls, nocons keep(quota) adjr2 dec(3) addtext(Prov FE,Y ,Controls, Y )append

* IV EXCLUSION RESTRICTION
reg lproductvalue quota i.provid $Geo $Agr $Gov $West $Ini $Hc if job_total==0, vce(cluster prefid)
outreg2 using iv_cross.xls, nocons keep(quota) adjr2 dec(3) addtext(Prov FE, Y ,Controls, Y )append

preserve 
sum tp_dist,d
return list
keep if tp_dist>r(p75) 
reg lproductvalue quota i.provid $Geo $Agr $Gov $West $Ini $Hc , vce(cluster prefid)
outreg2 using iv_cross.xls, nocons keep(quota) adjr2 dec(3) addtext(Prov FE, Y ,Controls, Y )append
restore

log close
*********************************** PANEL **************************************

log using $path/log.log, append

use data_prefecture.dta,clear

bys prefid (year): egen year10= seq(), from (1) b(10)

global GeoD i.year10#c.distcoast i.year10#c.mainriver_dist i.year10#c.coal_dist i.year10#c.iron_dist i.year10#c.copper_dist i.year10#c.Shape_Area 
global AgrD i.year10#c.cot_mean i.year10#c.tea_mean i.year10#c.soy_mean i.year10#c.whe_mean i.year10#c.yam_mean
global GovD i.year10#i.d_pc i.year10#c.pc_dist i.year10#c.courierdist i.year10#c.railroad_dist i.year10#c.general_level i.year10#c.important_level i.year10#c.mostimportant_level i.year10#c.conflict
global WestD i.year10#c.tp_dist i.year10#c.concession 
global IniD i.year10#c.textilecenter i.year10#c.lmilitary 
global HcD i.year10#c.lstud i.year10#c.sci_mq i.year10#c.lprotestantism 

xtset prefid year 

logout, save( descript_panel.xls) excel replace: tabstat job_num netfirms sch_higher sci_society, stats(n mean sd min max) c(s)

log using $path/log.log, append

** Table 5 **
reghdfe lnetfirms llag1job_num, absorb($GeoD $AgrD $GovD $WestD $IniD $HcD i.prefid year i.year#i.provid) vce(cluster prefid)
outreg2 using panel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Pref FE, Y ,Year FE, Y, Province*Year FE, Y, Controls, Y) replace

ivreghdfe lnetfirms (llag1job_num = c.quota#c.year c.quota#c.year#c.year c.quota#c.year#c.year#c.year ) , absorb($GeoD $AgrD $GovD $WestD $IniD $HcD prefid year i.year#provid) cluster (prefid) first
outreg2 using panel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Pref FE, Y ,Year FE, Y, Province*Year FE, Y, Controls, Y) append

ivreghdfe lnetfirms (llag1job_num = c.quota#i.year) , absorb($GeoD $AgrD $GovD $WestD $IniD $HcD prefid year i.year#provid) cluster (prefid) first
outreg2 using panel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Pref FE, Y ,Year FE, Y, Province*Year FE, Y, Controls, Y) append


bys prefid (year): egen year5= seq(), from (1) b(5)
bys prefid year5: egen job_v5=total(job_num)
bys prefid year5: egen netfirms5= total(netfirms)
preserve
duplicates drop prefid year5,force
xtset prefid year5 
gen lag1job_v5=l.job_v5
gen lnetfirms5=log(netfirms5+1)
gen llag1job_v5=log(lag1job_v5+1)
reghdfe lnetfirms5 llag1job_v5, absorb($GeoD $AgrD $GovD $WestD $IniD $HcD prefid year5 i.year5#provid ) vce(cluster prefid)
outreg2 using panel.xls, nocons keep(llag1job_v5) adjr2 dec(3) addtext(Pref FE, Y ,Year FE, Y, Province*Year FE, Y, Controls, Y) append
restore

*********************************** Channel **********************************
** Table 6 **
//productvalue
preserve
keep if year==1933
* disciplines
reg lproductvalue ljob_total_AgrMed ljob_total_SciEng i.provid $Geo $Agr $Gov $West $Ini $Hc, vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ljob*) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) replace
* nationality
reg lproductvalue ljob_total_US ljob_total_JP ljob_total_EU i.provid $Geo $Agr $Gov $West $Ini $Hc, vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ljob*) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
* job positions
reg lproductvalue ljob_total_Entre ljob_total_Manage ljob_total_Tech ljob_total_INTEL ljob_total_GOV ljob_total_MIL ljob_total_OTHER i.provid $Geo $Agr $Gov $West $Ini $Hc, vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ljob*) adjr2 dec(3) addtext(Prov FE,Y,Controls, Y) append
restore

//netfirms
reghdfe lnetfirms llag1job_num_AgrMed llag1job_num_SciEng , absorb($GeoD $AgrD $GovD $WestD $IniD $HcD prefid year i.year#provid) vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ll*) adjr2 dec(3) addtext(Pref FE, Y ,Year, Y, Province*Year FE, Y,Controls, Y ) append
* nationality
reghdfe lnetfirms llag1job_num_US llag1job_num_JP llag1job_num_EU, absorb($GeoD $AgrD $GovD $WestD $IniD $HcD i.prefid year i.year#i.provid) vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ll*) adjr2 dec(3) addtext(Pref FE, Y ,Year, Y, Province*Year FE, Y,Controls, Y ) append
* job positions
reghdfe lnetfirms llag1job_num_Entre llag1job_num_Manage llag1job_num_Tech llag1job_num_INTEL llag1job_num_GOV llag1job_num_MIL llag1job_num_OTHER, absorb($GeoD $AgrD $GovD $WestD $IniD $HcD i.prefid year i.year#i.provid) vce(cluster prefid)
 outreg2 using channel_hetero.xls, nocons keep(ll*) adjr2 dec(3) addtext(Pref FE, Y ,Year, Y, Province*Year FE, Y,Controls, Y ) append



///////////////////////// Province Level data ////////////////////////////////

global GeoPD i.year10#c.coast i.year10#c.Shape_Area 
global AgrPD i.year10#c.cot_mean i.year10#c.tea_mean i.year10#c.soy_mean i.year10#c.whe_mean i.year10#c.yam_mean
global GovPD i.year10#c.d_c 
global WestPD i.year10#c.d_tp i.year10#c.concession 
global IniPD  i.year10#c.textilecenter i.year10#c.lmilitary 
global HcPD  i.year10#c.sci_mq i.year10#c.lprotestantism 

** Table 7 **
use data_province.dta,clear


logout, save( descript_prov.xls) excel replace: tabstat sch_higher sch_sec sch_prim sci_society patent_t, stats(n mean sd min max) c(s)

log using $path/log.log, append


reghdfe lsch_higher llag1job_num, absorb($GeoPD $GovPD $WestPD $IniPD $HcPD i.provid year) vce(r)
 outreg2 using channel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Prov FE, Y, Year FE ,Y , Controls, Y ) replace
reghdfe lsch_sec llag1job_num, absorb($GeoPD $GovPD $WestPD $IniPD $HcPD i.provid year) vce(r)
 outreg2 using channel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Prov FE, Y, Year FE ,Y , Controls, Y ) append
reghdfe lsch_prim llag1job_num, absorb($GeoPD $GovPD $WestPD $IniPD $HcPD i.provid year) vce(r)
 outreg2 using channel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Prov FE, Y, Year FE ,Y , Controls, Y ) append
reghdfe lsci_society llag1job_num, absorb($GeoPD $GovPD $WestPD $IniPD $HcPD i.provid year) vce(r)
 outreg2 using channel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Prov FE, Y, Year FE ,Y , Controls, Y ) append
reghdfe lpatent_tcum llag1job_num, absorb($GeoPD $GovPD $WestPD $IniPD $HcPD i.provid year) vce(r)
 outreg2 using channel.xls, nocons keep(llag1job_num) adjr2 dec(3) addtext(Prov FE, Y, Year FE ,Y , Controls, Y ) append

log close
